JceKeyAgreeEnvelopedRecipient (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cms.jcajce

## Class JceKeyAgreeEnvelopedRecipient

- java.lang.Object
- - org.bouncycastle.cms.jcajce.JceKeyAgreeRecipient
  - - org.bouncycastle.cms.jcajce.JceKeyAgreeEnvelopedRecipient

- All Implemented Interfaces:
    KeyAgreeRecipient, Recipient

      public class JceKeyAgreeEnvelopedRecipient
      extends JceKeyAgreeRecipient

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.cms.jcajce.JceKeyAgreeRecipient

      `contentHelper, helper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JceKeyAgreeEnvelopedRecipient(java.security.PrivateKey recipientKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RecipientOperator` | `getRecipientOperator(org.bouncycastle.asn1.x509.AlgorithmIdentifier keyEncryptionAlgorithm, org.bouncycastle.asn1.x509.AlgorithmIdentifier contentEncryptionAlgorithm, org.bouncycastle.asn1.x509.SubjectPublicKeyInfo senderPublicKey, org.bouncycastle.asn1.ASN1OctetString userKeyingMaterial, byte[] encryptedContentKey)`

    - ### Methods inherited from class org.bouncycastle.cms.jcajce.JceKeyAgreeRecipient

      `extractSecretKey, getPrivateKeyAlgorithmIdentifier, setContentProvider, setContentProvider, setProvider, setProvider`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JceKeyAgreeEnvelopedRecipient

          public JceKeyAgreeEnvelopedRecipient(java.security.PrivateKey recipientKey)

  - ### Method Detail

    - #### getRecipientOperator

          public RecipientOperator getRecipientOperator(org.bouncycastle.asn1.x509.AlgorithmIdentifier keyEncryptionAlgorithm,
                                               org.bouncycastle.asn1.x509.AlgorithmIdentifier contentEncryptionAlgorithm,
                                               org.bouncycastle.asn1.x509.SubjectPublicKeyInfo senderPublicKey,
                                               org.bouncycastle.asn1.ASN1OctetString userKeyingMaterial,
                                               byte[] encryptedContentKey)
                                                 throws CMSException

      Throws:
        `CMSException`